
Katello - Bug #4947

Ping Pulp Auth if returning an error

03/28/2014 09:03 PM - Bryan Kearney

Status: Resolved   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1056323 Red Hat JIRA:  

Pull request:    

Description

Ping command is returning this:

pulp_auth:

Status:          FAIL

Server Response: Message: undefined method `resources' for nil:NilClass

Per Eric Helms on IRC

(04:59:44 PM) ehelms: jsherrill: sounds like a no current user when doing ping, therefore no Katello.pulp_server to make a runcible

resources call

History

#1 - 03/30/2014 09:08 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1056323

#2 - 06/04/2014 01:57 AM - Eric Helms

- Category set to API

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/18/2014 02:18 PM - Eric Helms

- Status changed from New to Resolved

#4 - 08/22/2014 08:03 AM - Eric Helms

- translation missing: en.field_release set to 13
